curl "https://core.wadial.com/api/v1/webhooks" \
-H "Authorization: Bearer $WADIAL_API_KEY"
{
"data": [
{
"id": "019f...",
"url": "https://example.com/wadial/webhook",
"events": ["message.received", "message.receipt"],
"isActive": true,
"lastDeliveryStatus": 200
}
]
}
API Reference
Manage webhooks
List, update, and delete webhook endpoints for the account.
GET
/
api
/
v1
/
webhooks
curl "https://core.wadial.com/api/v1/webhooks" \
-H "Authorization: Bearer $WADIAL_API_KEY"
{
"data": [
{
"id": "019f...",
"url": "https://example.com/wadial/webhook",
"events": ["message.received", "message.receipt"],
"isActive": true,
"lastDeliveryStatus": 200
}
]
}
curl "https://core.wadial.com/api/v1/webhooks" \
-H "Authorization: Bearer $WADIAL_API_KEY"
{
"data": [
{
"id": "019f...",
"url": "https://example.com/wadial/webhook",
"events": ["message.received", "message.receipt"],
"isActive": true,
"lastDeliveryStatus": 200
}
]
}
Update a webhook
PATCH /api/v1/webhooks/{webhookId}
Authorization: Bearer <api_key>
Content-Type: application/json
{
"url": "https://example.com/wadial/webhook-v2",
"events": ["message.received", "message.receipt"],
"isActive": true
}
{ "data": ... } envelope.
Delete a webhook
DELETE /api/v1/webhooks/{webhookId}
Authorization: Bearer <api_key>
Was this page helpful?